| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__GetBgSpeedDialListRequest Struct Reference
Business Group Speed Dial List

Get BG Speed Dial List request. More...

`#include <osv-if-doc.h>`

## Public Attributes
char * | OperatorId
| Operator Id. More...
char * | InterfaceWSDL
| Indicates the WSDL version supported be the client; for backwards compatibility purposes. More...
char * | BGName
| Business Group Name. More...
int * | ListId
| The numeric identifier of the list. More...
int * | EntryId
| The entry ID to filter on. More...
char * | EntryData
| The entry Data to filter on. More...
int * | StartingIndex
| The entry ID of the entry with which to start. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
enum unsp__BgSpeedDialListSortType * | SortType
| BG Speed Dial List Entries Sort Type. More...
enum unsp__SortOrder * | SortOrder
| Standard sorting structure. More...

## Detailed Description

Get BG Speed Dial List request.

Used by unsp__GetBgSpeedDialList()

## Member Data Documentation

## ◆ BGName

char* unsp__GetBgSpeedDialListRequest::BGName

Business Group Name.

required: true

See also
  unsp__BGName

## ◆ EntryData

char* unsp__GetBgSpeedDialListRequest::EntryData

The entry Data to filter on.

required: false
default value[range]: NA [1..127]

## ◆ EntryId

int* unsp__GetBgSpeedDialListRequest::EntryId

The entry ID to filter on.

required: false
default value[range]: NA [0..99999]

## ◆ InterfaceWSDL

char* unsp__GetBgSpeedDialListRequest::InterfaceWSDL

Indicates the WSDL version supported be the client; for backwards compatibility purposes.

required: false

## ◆ ListId

int* unsp__GetBgSpeedDialListRequest::ListId

The numeric identifier of the list.

required: true
default value[range]: NA [1..10000]

## ◆ OperatorId

char* unsp__GetBgSpeedDialListRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__GetBgSpeedDialListRequest::Paging

Standard paging structure.

required: false

## ◆ SortOrder

enum unsp__SortOrder* unsp__GetBgSpeedDialListRequest::SortOrder

Standard sorting structure.

required: false

## ◆ SortType

enum unsp__BgSpeedDialListSortType* unsp__GetBgSpeedDialListRequest::SortType

BG Speed Dial List Entries Sort Type.

required: false
default value[range]: SortByEntryId

## ◆ StartingIndex

int* unsp__GetBgSpeedDialListRequest::StartingIndex

The entry ID of the entry with which to start.

By default, the starting index is the beginning of the list.
required: false
default value[range]: NA [0..99999]

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h